#ifndef SNDCONF_H_
#define SNDCONF_H_


/* Sample format (see `man aplay`) 
 * Define lower and upper values of the format integral types */
/**/
typedef unsigned char FORMAT_TYPE;
#define FORMAT_MIN 0
#define FORMAT_MAX UCHAR_MAX
/*
typedef unsigned short FORMAT_TYPE;
#define FORMAT_MIN 0
#define FORMAT_MAX USHRT_MAX
*/ 

 
/*** Default values of sound device parameters ***/
struct sndconf {

  /* Channels: 1-32
   * 1: Mono (default)
   * 2: Stereo */
  int channels;

  /* Sample rate: 2000-192000 Hz
   * Times per second to produce a value */
  int rate;

  /* Write waveform to file: 
   * 0: No
   * 1: Yes */
  int write_wave;

} sndparams;

#endif
